string.hpp File Reference

Defines `boost::hana::string`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.
| boost::hana::literals
| Namespace containing C++14 user-defined literals provided by Hana.

## Functions

template<typename CharT , CharT ... s>
constexpr auto | boost::hana::literals::operator""_s ()
| Creates a compile-time string from a string literal. More...

## Detailed Description

Defines `boost::hana::string`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)